! 
! $Id: compareoutput.f90,v 1.5 1999/12/16 14:57:41 mbeijers Exp $
! 

 ! ====================================================================
 program compareRegionstatOutput
  ! ====================================================================

  use dal
  use obj_imageStat
  use saslib

 implicit none 

 type(imageStat_t) :: s 
 type(DataSetT)    :: statSet

 ! filenames hardcoded
 character(len=30) :: file1= 'statistics1.ds'
 character(len=30) :: file2= 'statistics2.ds'

 ! -----------------------------
 !  read back statistics data and compare with hard coded values
 ! -----------------------------

 statSet = dataSet(file1, read)
 s = retrieve(set=statset, tblname='stats' ) 
 call report(s)
  
 if ( notNear( s%center, (/4.5, 5.0/)       )) call error('center wrong')
!if ( notNear( s%sigma,  (/1540., 1669.5/) )) call error('sigma wrong')
 if ( notNear( s%total,      110*3.5        )) call error('total wrong')
 if ( notNear( s%ngoodpix,   110            )) call error('ngoodpix wrong')
 if ( notNear( s%nbadpix,    0              )) call error('nbadpix wrong')
 if ( notNear( s%minpos,  (/0,0/)           )) call error('minpos wrong')
 if ( notNear( s%maxpos,  (/0,0/)           )) call error('maxpos wrong')
 if ( notNear( s%xrange,  (/0,9/)           )) call error('xrange wrong')
 if ( notNear( s%yrange,  (/0,10/)          )) call error('yrange wrong')
 if ( notNear( s%minval,   3.5              )) call error('minval wrong')
 if ( notNear( s%maxval,   3.5              )) call error('maxval wrong')
 if ( notNear( s%sumOfSquares, 110*3.5**2   )) call error('sumOfSquares wrong')

 call release(statSet)

 statSet = dataSet(file2, read)
 s = retrieve(set=statset, tblname='stats' ) 
 call report(s)

 if ( notNear( s%center, (/4.8913045, 5.3152175/) )) call error('center wrong')
!if ( notNear( s%sigma,  (/1540., 1669.5/)  )) call error('sigma wrong')
 if ( notNear( s%total,      89*3.5+10.5    )) call error('total wrong')
 if ( notNear( s%ngoodpix,   90             )) call error('ngoodpix wrong')
 if ( notNear( s%nbadpix,    20             )) call error('nbadpix wrong')
 if ( notNear( s%minpos,  (/0,0/)           )) call error('minpos wrong')
 if ( notNear( s%maxpos,  (/5,6/)           )) call error('maxpos wrong')
 if ( notNear( s%xrange,  (/0,9/)           )) call error('xrange wrong')
 if ( notNear( s%yrange,  (/0,10/)          )) call error('yrange wrong')
 if ( notNear( s%minval,   3.5              )) call error('minval wrong')
 if ( notNear( s%maxval,   10.5             )) call error('maxval wrong')
 if ( notNear( s%sumOfSquares, 89*3.5**2+10.5**2 )) call error('sumOfSquares wrong')

 call release(statSet)

end program



